Bug 1652061 - Creation of /subsystem=naming/binding resource with Environment field fails
Summary: Creation of /subsystem=naming/binding resource with Environment field fails
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 7
Version: JON 3.3.11
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ER01
: One-off release
Assignee: Ruben Vargas Palma
QA Contact: Filip Brychta
URL:
Whiteboard:
Depends On:
Blocks: 1657856
TreeView+ depends on / blocked
 
Reported: 2018-11-21 13:57 UTC by Filip Brychta
Modified: 2019-05-16 09:27 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1652063 (view as bug list)
Environment:
Last Closed: 2019-05-16 09:27:32 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1477945 0 high CLOSED The environment and cache fields are not shown on the JBoss ON page when viewing the configuration of /subsystem=naming/... 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1515201 0 medium CLOSED /subsystem=naming/binding of type external-context is not available in JON 2021-02-22 00:41:40 UTC
Red Hat Bugzilla 1652063 0 high CLOSED Creation of /subsystem=naming/binding resource with Environment field fails 2021-02-22 00:41:40 UTC

Internal Links: 1477945 1515201 1652063

Description Filip Brychta 2018-11-21 13:57:35 UTC
Description of problem:
Creation of /subsystem=naming/binding resource with Environment field fails with:
WFLYCTL0097: Wrong type for 'environment'. Expected [OBJECT] but was LIST, rolled-back=true

Version-Release number of selected component (if applicable):
JON 3.3.11, EAP plugin pack 08.CR01
EAP 7.1.5

How reproducible:
Always

Steps to Reproduce:
1. navigate to EAP7 Standalone Server resource -> Subsystems -> naming -> Inventory -> Create Child -> Binding
2. Set name: java:global/MongoClient
3. Set binding type: object-factory
4. Set module: com.mongodb.jndi
5. Set class: com.mongodb.jndi.MongoClientJNDIFactory
6. Add environment property: name: mongoClientURI, value: mongodb://username:password@yourdomain.com:27017,username:password@yourdomain.com:27017
7. Finish

Actual results:
Creation fails with:
WFLYCTL0097: Wrong type for 'environment'. Expected [OBJECT] but was LIST, rolled-back=true

Expected results:
Resource is created

Additional info:
Tried also simple binding type with the same result.


Note You need to log in before you can comment on or make changes to this bug.